# Class WorkbenchMarkerResolution

java.lang.Object
org.eclipse.ui.views.markers.WorkbenchMarkerResolution

All Implemented Interfaces:
  `IMarkerResolution, IMarkerResolution2`

public abstract class WorkbenchMarkerResolution extends Object implements IMarkerResolution2
WorkbenchMarkerResolution is the resolution that can be grouped with others that are similar to allow multi selection.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchMarkerResolution()`

## Method Summary

Modifier and Type
Method
Description
`abstract IMarker[]`
`findOtherMarkers(IMarker[] markers)`
Iterate through the list of supplied markers.
`void`
`run(IMarker[] markers, IProgressMonitor monitor)`
Runs this resolution.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IMarkerResolution

`getLabel, run`

### Methods inherited from interface IMarkerResolution2

`getDescription, getImage`

## Constructor Details

### WorkbenchMarkerResolution

public WorkbenchMarkerResolution()

## Method Details

### findOtherMarkers

public abstract IMarker[] findOtherMarkers(IMarker[] markers)
Iterate through the list of supplied markers. Return any that can also have the receiver applied to them.

Parameters:
  `markers` - the markers to check
Returns:
  IMarker[]

### run

public void run(IMarker[] markers, IProgressMonitor monitor)
Runs this resolution. Resolve all `markers`. `markers` must be a subset of the markers returned by `findOtherMarkers(IMarker[])`.

Parameters:
  `markers` - The markers to resolve, not null
  `monitor` - The monitor to report progress